Subject: bug#51259: Cannot build Guix from source (error messages about the translations)

From: Simon Streit <[email-masked]>
Date: Tue, 19 Oct 2021 11:59:34 +0200

Simon Streit <[email-masked]> writes:
> Leo Famulari <[email-masked]> writes:
>
>> I noticed today that I can't build Guix from a fresh Git checkout in the
>> usual manner. Something goes wrong while building the Korean language
>> info manual. I tested it several times and on two different computers,
>> both x86_64.
>
> Can confirm that I can't build on a fresh Guix or on another machine.
>
> I just had a look into the file guix.ko.texi.  Unfortunately the file
> itself is indeed full of question marks:
>
> @menu
> * ???????????? ??????::      Guix ?????? ????????????!
> * ????????????::             Guix??? ???????????? ??????????????? ????????? 
>                                ???????????????.
> * ????????? ????????? ????????????::  Guix ????????????.
> * ?????? ????????????::      ?????? ????????? ?????? ????????????.
> * guix-?????? ????????????::  ?????? ?????? ????????????.
> * ?????????????????? ??????::  ??????????????????-?????? ??????.
> * Guix ????????????::        Guix ????????? ?????? ????????????.
> @end menu

Extending my previous message:

I first thought that it had to do with commit
15c91189cb61c579f4289047c79530cefe75215f, but it turns out that commit
0623138ffa5b066afc25547ffdeb97753cb0ee9a creates these errors.

Commit d1b375402f5680b1e5a77dd1fb77e1e9d94625d1 is okay.

Kind regards
Simon